import { Component } from '@angular/core';

@Component({
  selector: 'app-hierarchical-sample-component',
  templateUrl: './hierarchical-sample-component.component.html',
  styleUrls: ['./hierarchical-sample-component.component.scss']
})
export class HierarchicalSampleComponentComponent {
   public expandChildren= true;
  public data = [
    {
      Company: 'Tech Corp',
      Departments: [
        {
          Department: 'Engineering',
          Teams: [
            {
              Team: 'Frontend',
              Employees: [
                { ID: 1, Name: 'John Doe', Age: 28, Position: 'Frontend Developer' },
                { ID: 2, Name: 'Jane Smith', Age: 32, Position: 'Frontend Architect' }
              ]
            },
            {
              Team: 'Backend',
              Employees: [
                { ID: 3, Name: 'Alice Johnson', Age: 29, Position: 'Backend Developer' },
                { ID: 4, Name: 'Bob Brown', Age: 35, Position: 'Backend Architect' }
              ]
            }
          ]
        },
        {
          Department: 'HR',
          Teams: [
            {
              Team: 'Recruitment',
              Employees: [
                { ID: 5, Name: 'Carlos Garcia', Age: 40, Position: 'Recruiter' }
              ]
            }
          ]
        }
      ]
    },
    {
      Company: 'Business Solutions Inc',
      Departments: [
        {
          Department: 'Sales',
          Teams: [
            {
              Team: 'Regional',
              Employees: [
                { ID: 6, Name: 'David Wilson', Age: 30, Position: 'Sales Manager' }
              ]
            }
          ]
        }
      ]
    }
  ];
}
