import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppComponent } from './app.component';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { HierarchicalSampleComponentComponent } from './hierarchical-sample-component/hierarchical-sample-component.component';
import { IgxHierarchicalGridModule } from '@infragistics/igniteui-angular';

@NgModule({
  declarations: [
    AppComponent,
    HierarchicalSampleComponentComponent,
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    IgxHierarchicalGridModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {
}
